package com.fdkankan.platform.agent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.agent.entity.AgentAudit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.agent.request.RequestAgentAudit;
import com.fdkankan.platform.agent.request.RequestNote;
import com.fdkankan.platform.agent.request.RequestSearch;
import com.fdkankan.platform.agent.vo.AgentAuditVo;

/**
 * <p>
 * 代理商申请表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IAgentAuditService extends IService<AgentAudit> {

    String saveByParam(RequestAgentAudit param);

    Page<AgentAudit> getPageList(Integer pageNum, Integer pageSize);

    String updateStatus(Long id, String state);

    String updateNote(RequestNote param);

    Page<AgentAuditVo> searchLike(RequestSearch param);
}
